Bug 1660712 - [abrt] blueman: get(): Base.py:108:get:blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Summary: [abrt] blueman: get(): Base.py:108:get:blueman.bluez.errors.BluezDBusExceptio...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1d7b60796e9a1ccb74a56ab927f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 03:29 UTC by Stewart Smith
Modified: 2019-11-27 20:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:25:24 UTC


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: cgroup (389 bytes, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: environ (6.09 KB, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: mountinfo (4.20 KB, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details
File: open_fds (1.49 KB, text/plain)
2018-12-19 03:29 UTC, Stewart Smith
no flags Details

Description Stewart Smith 2018-12-19 03:29:35 UTC
Version-Release number of selected component:
1:blueman-2.1-0.12.alpha2.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/blueman-manager
crash_function: get
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/blueman-manager
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.8-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Base.py:108:get:blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/blueman/bluez/Base.py", line 102, in get
    None)
gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownObject: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
 (41)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 178, in on_device_property_changed
    self.Generate()
  File "/usr/lib/python3.7/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 245, in Generate
    device_uuids = self.SelectedDevice['UUIDs']
  File "/usr/lib/python3.7/site-packages/blueman/bluez/Base.py", line 137, in __getitem__
    return self.get(key)
  File "/usr/lib/python3.7/site-packages/blueman/bluez/Base.py", line 108, in get
    raise parse_dbus_error(e)
blueman.bluez.errors.BluezDBusException: org.freedesktop.DBus.Error.UnknownObject Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Local variables in innermost frame:
self: <Device.Device object at 0x7f8bf0cbf630 (blueman+bluez+Device+Device at 0x5613b8e97dd0)>
name: 'UUIDs'

Potential duplicate: bug 1631873

Comment 1 Stewart Smith 2018-12-19 03:29:38 UTC
Created attachment 1515462 [details]
File: backtrace

Comment 2 Stewart Smith 2018-12-19 03:29:39 UTC
Created attachment 1515463 [details]
File: cgroup

Comment 3 Stewart Smith 2018-12-19 03:29:40 UTC
Created attachment 1515464 [details]
File: cpuinfo

Comment 4 Stewart Smith 2018-12-19 03:29:41 UTC
Created attachment 1515465 [details]
File: environ

Comment 5 Stewart Smith 2018-12-19 03:29:43 UTC
Created attachment 1515466 [details]
File: mountinfo

Comment 6 Stewart Smith 2018-12-19 03:29:44 UTC
Created attachment 1515467 [details]
File: namespaces

Comment 7 Stewart Smith 2018-12-19 03:29:45 UTC
Created attachment 1515468 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 20:17:33 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 20:25:24 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.